error?

Mannerheim

Sergeant at Arms
Best answers
0
You are using wrong version of the game.
This mod is for Mount&Blade 1.010/1.011 (not Warband).